package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemCourseGroupMemberPersonHeaderBindingImpl extends ItemCourseGroupMemberPersonHeaderBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemCourseGroupMemberPersonHeaderBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 2, sIncludes, sViewsWithIds));
    }
    private ItemCourseGroupMemberPersonHeaderBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            );
        this.itemGroupMemberName.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.groupMember == variableId) {
            setGroupMember((com.ustadmobile.lib.db.entities.CourseGroupMemberPerson) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setGroupMember(@Nullable com.ustadmobile.lib.db.entities.CourseGroupMemberPerson GroupMember) {
        this.mGroupMember = GroupMember;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.groupMember);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String groupMemberMemberCgmGroupNumberInt0ItemGroupMemberNameAndroidStringUnassignedItemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber = null;
        boolean groupMemberMemberCgmGroupNumberInt0 = false;
        com.ustadmobile.lib.db.entities.CourseGroupMemberPerson groupMember = mGroupMember;
        com.ustadmobile.lib.db.entities.CourseGroupMember groupMemberMember = null;
        java.lang.String itemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber = null;
        int groupMemberMemberCgmGroupNumber = 0;

        if ((dirtyFlags & 0x3L) != 0) {



                if (groupMember != null) {
                    // read groupMember.member
                    groupMemberMember = groupMember.getMember();
                }


                if (groupMemberMember != null) {
                    // read groupMember.member.cgmGroupNumber
                    groupMemberMemberCgmGroupNumber = groupMemberMember.getCgmGroupNumber();
                }


                // read groupMember.member.cgmGroupNumber == 0
                groupMemberMemberCgmGroupNumberInt0 = (groupMemberMemberCgmGroupNumber) == (0);
            if((dirtyFlags & 0x3L) != 0) {
                if(groupMemberMemberCgmGroupNumberInt0) {
                        dirtyFlags |= 0x8L;
                }
                else {
                        dirtyFlags |= 0x4L;
                }
            }
        }
        // batch finished

        if ((dirtyFlags & 0x4L) != 0) {

                // read @android:string/group_number
                itemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber = itemGroupMemberName.getResources().getString(R.string.group_number, groupMemberMemberCgmGroupNumber);
        }

        if ((dirtyFlags & 0x3L) != 0) {

                // read groupMember.member.cgmGroupNumber == 0 ? @android:string/unassigned : @android:string/group_number
                groupMemberMemberCgmGroupNumberInt0ItemGroupMemberNameAndroidStringUnassignedItemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber = ((groupMemberMemberCgmGroupNumberInt0) ? (itemGroupMemberName.getResources().getString(R.string.unassigned)) : (itemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber));
        }
        // batch finished
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemGroupMemberName, groupMemberMemberCgmGroupNumberInt0ItemGroupMemberNameAndroidStringUnassignedItemGroupMemberNameAndroidStringGroupNumberGroupMemberMemberCgmGroupNumber);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): groupMember
        flag 1 (0x2L): null
        flag 2 (0x3L): groupMember.member.cgmGroupNumber == 0 ? @android:string/unassigned : @android:string/group_number
        flag 3 (0x4L): groupMember.member.cgmGroupNumber == 0 ? @android:string/unassigned : @android:string/group_number
    flag mapping end*/
    //end
}